API Reference
//
Create a new settlement
Security
JWT
Provide both the amount and the balance_currency.
POST
curl -i -X POST \
https://api.glomopay.com/api/v1/settlements \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"amount": 1000,
"balance_currency": "USD"
}'Settlement created successfully
The amount of the settlement in cents. For example, 1000 cents is $10.00. The currency is determined by the currency field.
Example:1000
The currency in which the settlement is made. The currency code is in ISO 4217 format. For example, USD.
Example:"USD"
The creation timestamp of the settlement.
Example:"2024-12-06T11:38:37.130Z"
Response
{ "id": "setl_6878e266jt1P3", "status": "success", "payment_method": "swift_transfer", "amount": 1000, "currency": "USD", "fees": { "fx_fee": { … }, "txn_fee": { … } }, "utr": "1568176960vxp0rj", "created_at": "2024-12-06T11:38:37.130Z", "updated_at": "2024-12-06T11:38:37.130Z" }